const system=require("../../system");
const Dao=require("../dao.base");
class AppDao extends Dao{
  constructor(){
    super(Dao.getModelName(AppDao));
  }
  async findOne(paramappid,t){
    if(t){
      var app=  await this.model.findOne({where:{appid:paramappid}},{transaction:t});
      return app;
    }else{
      var app=  await this.model.findOne({where:{appid:paramappid}});
      return app;
    }

  }
  extraWhere(qobj,qw,qc){
    qc.raw=true;
    return qw;
  }

}
module.exports=AppDao;
